--- title: "Update a subscription training key by id" slug: "update-a-subscription-training-key-by-id" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/update-a-subscription-training-key-by-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a subscription training key by id Get/UpdateSubscriptionTrainingKey Allows you to update a subscription training key. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parametersIdstringRequired The Id of the subscription training key. trainingKeystringRequired The subscription training key. organizationIdinteger (int32) The Id of the related organization. subscriptionProfileIdinteger (int32) Required The Id of the related subscription profile. expirationDateinteger (int64) Required When the subscription training key expires (in Unix epoch time). maxKeyUsesinteger (int32) The maximum number of uses for the related subscription training key. If not supplied then this setting will default to 1. contentExpirationDateinteger (int64) If supplied (in Unix epoch time) then this setting overrides the expiration date and sets the Content Availability Override checkbox. Responses200 OK Response object Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).